Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iview
Class GrammarEditorPanel

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      ix.iview.AConstructFramePanel
                          ix.iview.GrammarEditorPanel

All Implemented Interfaces:
  DataChangeListener, FramePanel, ConstructFraming, UIDomainListener, UndoEditing, VarSpecifier, java.awt.event.ActionListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible

    public class GrammarEditorPanel

extends AConstructFramePanel
implements java.awt.event.ActionListener, UIDomainListener

A grammar editor/viewer panel Waiting to be documented and implemented properly.

Example code for using the GrammarEditorPanel:

        AConstructFramePanel grammarPanel = new GrammarEditorPanel(ide);

See Also:
  Serialized Form

Nested Class Summary
`protected class` | `GrammarEditorPanel.GenericConstraintTableModel`
`class` | `GrammarEditorPanel.GrammarFormPanel`

Nested classes/interfaces inherited from class ix.iview.AConstructFramePanel
`AConstructFramePanel.FieldValue, AConstructFramePanel.JModifyDialog`

Nested classes/interfaces inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary

Fields inherited from class ix.iview.AConstructFramePanel
`DEFAULT_SORT, formPanel, hasOverview, mainPanel, parent, scrollPane, switching`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`GrammarEditorPanel(DomainEditorFrame frame)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent ae)` Wakes up the ActionListener with a user action.
`boolean` | `beforeSwitching()` Notes the current panel's contents in the current construct before switching.
`boolean` | `checkConstruct()` Check a construct of the panel's type for errors and inconsistencies
`protected UIObject` | `cloneConstruct(UIObject uiConstruct)`
`void` | `constructAdded(DomainEvent se)`
`void` | `constructAdded(UIDomainEvent se)` Called when a UI construct is added.
`void` | `constructEdited(UIDomainEvent se)` Called when a UI construct is edited.
`void` | `constructRemoved(UIDomainEvent se)` Called when a UI construct is removed.
`void` | `domainCleared(UIDomainEvent se)` Called when the domain is cleared.
`void` | `domainEdited(UIDomainEvent se)` Called when the domain's own fields changed (currently only name).
`void` | `domainSet(UIDomainEvent se)` Called when the domain is added.
`boolean` | `frameActionPerformed(java.awt.event.ActionEvent event)` Tries to process an action generated in the panel's frame.
`java.util.List` | `getAllConstructs()` Get a full list of the constructs of the panel's type in the domain.
`java.util.List` | `getConstraintPatterns(java.util.Collection constraints, java.util.List sofar)`
`java.util.HashSet` | `getIssuePatterns(java.util.Iterator i, java.util.HashSet patterns)`
`Named` | `getNamedConstruct(java.lang.String name)` Gets a named construct of the panel's type from the domain
`java.util.HashSet` | `getNodePatterns(java.util.Collection list, java.util.HashSet patterns)`
`UIObject` | `makeNewConstruct()` Makes a new construct of the panel's type.
`void` | `newConstruct()` Make a new construct of the panel's type and get ready to edit it.
`protected UIObject` | `noteConstruct()` Notes the content of the editing panel into the current(new?)
`void` | `refresh()`
`void` | `saveConstruct()` Save a construct of the panel's type into the draft domain.
`void` | `setConstruct(IXObject construct)` Put a given construct of the panel's type into the panel ready for editing
`void` | `setListsAsText(boolean asText)`
`protected javax.swing.JPanel` | `setupMainPanel()` Sets up the main panel in which construct editing will happen.

Methods inherited from class ix.iview.AConstructFramePanel
`addCurrentConstructListener, addUndoListener, addVariableDeclaration, afterSwitching, askModifyDialog, askModifyOptions, beforeClosing, beforeOpening, canRedo, canUndo, clear, copyConstruct, dataChanged, deleteConstruct, editConstruct, fireConstructChanged, getDomain, getEditingPanel, getMainPanel, getSort, getUIConstruct, getUIDomain, getVarsToOffer, hasOverview, noteDraftConstruct, OLDsetUIConstruct, populatePopup, redo, registerListKeys, removeCurrentConstructListener, revertConstruct, revertOConstruct, search, setSort, setUIConstruct, setUIConstructPanel, setUIDomain, setupEditor, setupOuterPanel, undo, undoGetValue, undoSetValue, updateOverview, viewChanges, viewChangesFromOriginal`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GrammarEditorPanel

    public GrammarEditorPanel(DomainEditorFrame frame)

Method Detail

### setupMainPanel

    protected javax.swing.JPanel setupMainPanel()

  Description copied from class: `AConstructFramePanel`
  Sets up the main panel in which construct editing will happen. Often, this is a simple wrapper panel that contains a ConstructEditing panel and not much else.

  Specified by:
    `setupMainPanel` in class `AConstructFramePanel`

### refresh

    public void refresh()

  Specified by:
    `refresh` in class `AConstructFramePanel`

### beforeSwitching

    public boolean beforeSwitching()

  Description copied from class: `AConstructFramePanel`
  Notes the current panel's contents in the current construct before switching.

  Overrides:
    `beforeSwitching` in class `AConstructFramePanel`
  Returns:
    true if the switch should still take place, false to cancel the switch.

### setListsAsText

    public void setListsAsText(boolean asText)

### cloneConstruct

    protected UIObject cloneConstruct(UIObject uiConstruct)

  Specified by:
    `cloneConstruct` in class `AConstructFramePanel`

### newConstruct

    public void newConstruct()

  Make a new construct of the panel's type and get ready to edit it.

  Specified by:
    `newConstruct` in interface `ConstructFraming`
  Overrides:
    `newConstruct` in class `AConstructFramePanel`

### makeNewConstruct

    public UIObject makeNewConstruct()

  Description copied from interface: `ConstructFraming`
  Makes a new construct of the panel's type.

  Specified by:
    `makeNewConstruct` in interface `ConstructFraming`
  Specified by:
    `makeNewConstruct` in class `AConstructFramePanel`

### saveConstruct

    public void saveConstruct()

  Save a construct of the panel's type into the draft domain.

  Specified by:
    `saveConstruct` in interface `ConstructFraming`
  Overrides:
    `saveConstruct` in class `AConstructFramePanel`

### noteConstruct

    protected UIObject noteConstruct()

  Notes the content of the editing panel into the current(new?) UIObject.

  Specified by:
    `noteConstruct` in class `AConstructFramePanel`

### setConstruct

    public void setConstruct(IXObject construct)

  Put a given construct of the panel's type into the panel ready for editing

  Specified by:
    `setConstruct` in interface `ConstructFraming`
  Overrides:
    `setConstruct` in class `AConstructFramePanel`
  Parameters:
    `construct` - the object to be viewed/edited

### checkConstruct

    public boolean checkConstruct()

  Check a construct of the panel's type for errors and inconsistencies

  Specified by:
    `checkConstruct` in interface `ConstructFraming`

### getAllConstructs

    public java.util.List getAllConstructs()

  Get a full list of the constructs of the panel's type in the domain.

  Specified by:
    `getAllConstructs` in interface `ConstructFraming`

### getNamedConstruct

    public Named getNamedConstruct(java.lang.String name)

  Description copied from interface: `ConstructFraming`
  Gets a named construct of the panel's type from the domain

  Specified by:
    `getNamedConstruct` in interface `ConstructFraming`

### constructAdded

    public void constructAdded(UIDomainEvent se)

  Description copied from interface: `UIDomainListener`
  Called when a UI construct is added. Use getSource() to get at the domain (UI/IX) in which the event occurred. Use getObject() to get at the object (UI/IX) that has been added.

  Specified by:
    `constructAdded` in interface `UIDomainListener`

### constructAdded

    public void constructAdded(DomainEvent se)

  Specified by:
    `constructAdded` in interface `UIDomainListener`

### constructEdited

    public void constructEdited(UIDomainEvent se)

  Description copied from interface: `UIDomainListener`
  Called when a UI construct is edited. Use getSource() to get at the UIDomain in which the event occurred. Use getObject() to get at the UIObject that has been edited.

  Specified by:
    `constructEdited` in interface `UIDomainListener`

### constructRemoved

    public void constructRemoved(UIDomainEvent se)

  Description copied from interface: `UIDomainListener`
  Called when a UI construct is removed. Use getSource() to get at the UIDomain in which the event occurred. Use getObject() to get at the UIObject that has been removed.

  Specified by:
    `constructRemoved` in interface `UIDomainListener`

### domainCleared

    public void domainCleared(UIDomainEvent se)

  Description copied from interface: `UIDomainListener`
  Called when the domain is cleared.

  Specified by:
    `domainCleared` in interface `UIDomainListener`

### domainEdited

    public void domainEdited(UIDomainEvent se)

  Description copied from interface: `UIDomainListener`
  Called when the domain's own fields changed (currently only name).

  Specified by:
    `domainEdited` in interface `UIDomainListener`

### domainSet

    public void domainSet(UIDomainEvent se)

  Description copied from interface: `UIDomainListener`
  Called when the domain is added.

  Specified by:
    `domainSet` in interface `UIDomainListener`

### getNodePatterns

    public java.util.HashSet getNodePatterns(java.util.Collection list,
                                             java.util.HashSet patterns)

### getIssuePatterns

    public java.util.HashSet getIssuePatterns(java.util.Iterator i,
                                              java.util.HashSet patterns)

### getConstraintPatterns

    public java.util.List getConstraintPatterns(java.util.Collection constraints,
                                                java.util.List sofar)

### frameActionPerformed

    public boolean frameActionPerformed(java.awt.event.ActionEvent event)

  Description copied from interface: `ConstructFraming`
  Tries to process an action generated in the panel's frame.

  Specified by:
    `frameActionPerformed` in interface `FramePanel`
  Specified by:
    `frameActionPerformed` in interface `ConstructFraming`
  Specified by:
    `frameActionPerformed` in class `AConstructFramePanel`
  Parameters:
    `event` - the event to be processed.
  Returns:
    true if the event is recognised, false if not.

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent ae)

  Wakes up the ActionListener with a user action. This is called when a KeyStroke happens in which the ActionListener registered its interest.

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`
  Specified by:
    `actionPerformed` in class `AConstructFramePanel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD